package cl.jtv;
/*
 * Metavalor.java
 *
 * Created on 3 de octubre de 2002, 03:47 AM
 */

/**
 *
 * @author  Administrador
 * @version 
 */
public interface Metavalor{
    
    public static boolean isRunning=false; 
    
    public void setValor(Metavalor newValor);
    public Metavalor getValor() throws NonSetException;
    public boolean equals(Metavalor valor) throws NonSetException;
    public void setNombre(String newNombre);
    public String getNombre() throws NonSetException;
    public String getAsignacion() throws NonSetException;
    public void incrReferencias();
    public void decrReferencias();
    public boolean noReferencias();
    
    
}
